import streamlit as st
from utils.pyx._menu import _buscaDashboards,_authenticated_menu,_image_to_base64,_menu,_menu_with_redirect,_openDash,_unauthenticated_menu
# Criar uma função para ler a imagem e converter para base64

def image_to_base64(image_path):
    return _image_to_base64(image_path)

def buscaDashboards():
    return _buscaDashboards()

def authenticated_menu(local="sidebar"):
    _authenticated_menu(local)                
                
def unauthenticated_menu():
    # Show a navigation menu for unauthenticated users
    _unauthenticated_menu()

def menu(local="sidebar"):
    _menu(local)


def menu_with_redirect():
    _menu_with_redirect()

def openDash(pDashID,params={}):
    _openDash(pDashID,params)
    
